eBudzik help

eBudzik v1.0.2

Simple alarm-clock

Copyright © 2005-2011 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

WWW: http://www.noniewicz.com

Last update of this help: 2011.04.20

Contents
  • General
    • About
    • License
    • History of changes
  • Program
    • Main window
    • Popup menu
    • Settings


eBudzik v1.0.2
Copyright © 2005-2011 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

General

  • About
  • License
  • History of changes


About

Welcome to eBudzik for Windows®.

eBudzik is just simple alarm-clock program. I wrote it, because the battery in my real/material alarm-clock got exhausted. All it's funcionality is that it shows an analog or digital clock and allows to set alarm at given time which then plays selected *.mp3, *.mpg (audio) or *.wav file until stopped by user. It can also run given program when alarm occures. The clock can be displayed in window of any size and in full screen.

Some new features in version 1.0.2 include:

  • transparent form with loadable imgage background option (analog)
  • settings import/export
  • redesigned interface
  • stay on top option
  • 12/24 mode (digital)
  • help in CHM format

Important: program doesn't recognize settings from older versions.

eBudzik www page:
http://www.noniewicz.com/

Download latest version:
http://www.noniewicz.com/downloads.php

Contact:

Feel free to contact me with bugs, problems, comments and suggestions of improvements at http://www.noniewicz.com/contact.php.


License

eBudzik for Windows® - LICENSE

1. This program is copyright © 2005-2011 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC.

2. This program is FREEWARE. You are authorised to use the program for your own private and/or commercial use free of charge.

3. You may use this software for any purpose that does no harm to any being.

4. THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. You use the program at your own risk - the author accepts no responsibility for any problems or losses which might arise from its use.

5. It is permitted to copy installation version of this software and to publish it in any way but you may not sell the program or remove any copyright information from it.

6. It is not permitted do decompile or alter executables of the program.


History of changes

v1.0.2.6:
- help format changed to CHM
- 2000/xp taskbar shortcut
- other installer updates
- rewritten for BDS 2006
- stay on top opt
- 12/24 mode (digital)
- alarm info displayed in clock hint
- alarm time - only 2 chars - auto skip to next
- settings import/export
- buttons on/off removed - now auto
- right panel/buttons removed
- more key shortcuts
- popup menu reordered
- form may be transparent with loadable image background option (analog)
- extrernal fullscreen flasher app
- minor updates

v1.0.1.5 (unpublished):
- help added

v1.0.0.2-1.0.0.4:
- mp3/mpg support
- space toggles alarm on/off
- disable exit option
- minimize to tray function
- fullscreen mode
- easy list of standard audio files
- run application option in setup
- minor fixes


eBudzik v1.0.2
Copyright © 2005-2011 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

Program

  • Main window
  • Popup menu
  • Settings


Main window

Main program window may for example look like this:

In digital mode:

or in analog mode:

or

Window is fully sizeable (unless background image is loaded). Background image works only in analog mode. It can be transparent (for round clock shapes). It's assumed that transparent color is always fixed to FF00FF in RGB. Changing background image requires restart of the program.

Buttons:

alarm on/off (SPACE)
digital/analog mode (F9)
settings (F10)
minimize program
close program (ALT+F4)

Buttons appear when mouse is set over nontransparent part of program window. They disappear automatically after some time.

Popup menu:

To see popup menu with extra options righit-click anywhere on the clock.


Menu

eBudzik v1.0.2
Copyright © 2005-2011 Noniewicz.com, Jakub Noniewicz aka MoNsTeR/GDC

Popup menu

  • Settings (F10) - program settings window
  • Import settings (F5) - loads settings from file
  • Export settings (F6) - saves settings to file
  • Alarm on/off (space) - alarm on / off
  • Hide/show - hide (minimize to tray) or show clock
  • Full screen on/off (F8) - full screen option
  • Analog/digital (F9) - analog or digital mode
  • Exit lock on/off - exit lock prevents accidental closing the clock
  • Stay on top - forces program to be always on top
  • 12/24h - show in 12h or 24h mode (digital)
  • Polski <-> English - changes program language (polish <-> english)
  • Help (F1) - displays help
  • About - displays about
  • Close (ALT+F4) - closes application


Settings

This window contains program settings:

Here you can configure the following parameters:
- alarm time,
- alarm sound (can be custom *.wav, *.mp3 or *.mpg),
- optional program to run on alarm,
- background color,
- font and arrows color.
- optional (transparent) backgruond image to be used as clock face (analog).

To save new settings press Set.

When background image is loaded size of the clock is set to size of the image.